package com.lakala.zf.laop.java.sdk.demo.v2;

import com.lakala.zf.laop.java.sdk.demo.BaseCommonDemo;
import com.lkl.laop.sdk.LKLSDK;
import com.lkl.laop.sdk.request.V2LaepIndustryTransferDirectRequest;

/**
 * @author nxj
 * @date 2024/1/15 13:49
 * @description 账管家V2.0-可用余额定向转账DEMO
 */
public class V2LaepIndustryTransferDirectRequestDemo extends BaseCommonDemo {
    public static void main(String[] args) throws Exception {
        // 1. 配置初始化
        doInit();

        //2. 装配数据
        V2LaepIndustryTransferDirectRequest req = new V2LaepIndustryTransferDirectRequest();
        req.setOutBmcpNo("1");
        req.setOutMercId("8222900594309P3");
        req.setOutAcctType("01");
        req.setInBmcpNo("1");
        req.setInMercId("8221000581200BS");
        req.setInPayType("06");
        req.setMerOrderNo("da6029197c4f4f8e852dd3bc60ed3e35");
        req.setAmount("100");
        req.setRemark("132");




        //3. 发送请求
        String response = LKLSDK.httpPost(req);

        //4. 响应
        System.out.println(response);
    }
}
